CustomFeatureModifyFeatureGeometryEvent Class

class NXOpen.Features.CustomFeatureModifyFeatureGeometryEvent

Bases: NXOpen.Features.CustomFeatureEvent

Represents the event data for a modify geometry callback for a custom feature.

Only modify the geometry here and specify tracking. Addition of the attributes and any dependency can be done in NXOpen.Features.CustomFeaturePostUpdateEvent.

This class cannot be created

New in version NX11.0.0.

Properties

Property Description
ErrorCode Returns or sets the error occured during the event
Tag Returns the Tag for this object.

Methods

Method Description
AppendOutputTrackingData Appends the tracking data for a custom feature
CreateTrackingDataForNXObject Creates the tracking data for an NX object
GetConstructionFeatures The custom feature get construction features
GetCreatedBodies Gets the Parasolid bodies created by a custom feature in a create geometry callback
GetCustomFeature Get the custom feature of the event
GetNXObject Returns the Solid body
GetOutputFeatures The output features created in post update event
GetParasolidId Get the Parasolid tag of Solid body
Getbodies Gets the Parasolid bodies of a custom feature

Method Detail

AppendOutputTrackingData

CustomFeatureModifyFeatureGeometryEvent.AppendOutputTrackingData

Appends the tracking data for a custom feature

Signature AppendOutputTrackingData(trackingData)

Parameters:trackingData (list of NXOpen.Features.TrackingData) –

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateTrackingDataForNXObject

CustomFeatureModifyFeatureGeometryEvent.CreateTrackingDataForNXObject

Creates the tracking data for an NX object

Signature CreateTrackingDataForNXObject(nxObject)

Parameters:nxObject (NXOpen.TaggedObject) – The NX object for which create tracking data
Returns:
Return type:NXOpen.Features.TrackingData

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetCreatedBodies

CustomFeatureModifyFeatureGeometryEvent.GetCreatedBodies

Gets the Parasolid bodies created by a custom feature in a create geometry callback

Signature GetCreatedBodies()

Returns:The Array of output Bodies
Return type:list of int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Getbodies

CustomFeatureModifyFeatureGeometryEvent.Getbodies

Gets the Parasolid bodies of a custom feature

Signature Getbodies()

Returns:The Array of output Bodies
Return type:list of int

New in version NX11.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)